MODBUS_SET_BITS_FROM(3)

NAME
modbus_set_bits_from_byte - set many bits from a single byte value

SYNOPSIS

void modbus_set_bits_from_byte(uint8_t *dest, int index, const uint8_t value);

DESCRIPTION

The modbus_set_bits_from_byte function shall set many bits from a single byte. All 8 bits from the byte value will be written to dest array starting at index position.

RETURN VALUE

There is no return values.

SEE ALSO

modbus_set_bits_from_byte(3) modbus_set_bits_from_bytes(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com